.TH GNUROBOTS 6
.SH NAME
gnurobots \- Program a robot to explore a world
.SH SYNOPSIS
.B gnurobots
[\fIOPTION\fR]... [\fIFILE\fR]
.SH "DESCRIPTION"
.B GNU Robots
is a game/diversion where you construct a program for a little robot, then
watch him explore a world.  The world is filled with baddies that can hurt
you, objects that you can bump into, and food that you can eat.  The goal
of the game is to collect as many prizes as possible before you are killed
by a baddie or you run out of energy.

Programs for the robot are written in Scheme.

.B GNU Robots
will run the scheme file given as \fIFILE\fR.
.SH OPTIONS
.TP
.BI \-f " FILE" "\fR,\fP \-\^\-map-file=" FILE
Specify the map to load.
.TP
.BI \-s " N" "\fR,\fP \-\^\-shields=" N
Set initial shields to
.I N
.TP
.BI \-e " N" "\fR,\fP \-\^\-energy=" N
Set initial energy to
.I N
.TP
.BR \-V ", " \-\^\-version
Output version information and exit.
.TP
.BR \-h ", " \-\^\-help
Display a summary of command-line syntax.

.SH "COPYRIGHT"
 Copyright (C) 2008 Bradley Smith <brad@brad-smith.co.uk>
 Copyright (C) 1998 Jim Hall <jhall1@isd.net>
.PP
This is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2, or (at your option) any later
version without ANY WARRANTIES.
.SH "AUTHOR"
.B GNU Robots
was written by Bradley Smith <brad@brad-smith.co.uk> and
Jim Hall <jhall1@isd.net>
.PP
This manual page was written by Bradley Smith <brad@brad-smith.co.uk>,
for the Debian GNU/Linux system. The original game does not come with
a manual page.
